"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Hapi = require("hapi");
const server = new Hapi.Server();
function betterErrors(request, reply) {
    if (!request.response.isBoom) {
        return reply.continue();
    }
    const err = request.response;
    if (err.data) {
        err.output.payload.data = err.data;
    }
    if (500 === err.output.payload.statusCode && process.env.NODE_ENV !== 'production') {
        if (err.message) {
            err.output.payload.message = err.message;
        }
        if (err.stack)
            err.output.payload.stack = err.stack.split('\n').slice(1).map(l => l.replace(/\s*at\s*/, ''));
    }
    return reply(err);
}
exports.betterErrors = betterErrors;
//# sourceMappingURL=betterErrors.js.map